OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_SphericalSurface Class Reference

defines SphericalSurface, Type <196> Form Number <0,1>
in package IGESSolid
Spherical surface is defined by a center and radius.
In case of parametrised surface an axis and a
reference direction is provided.

`#include <IGESSolid_SphericalSurface.hxx>`

Inheritance diagram for IGESSolid_SphericalSurface:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSolid_SphericalSurface ()
Standard_EXPORT void | Init (const Handle(IGESGeom_Point)&aCenter, const Standard_Real aRadius, const Handle(IGESGeom_Direction)&anAxis, const Handle(IGESGeom_Direction)&aRefdir)
| This method is used to set the fields of the class SphericalSurface - aCenter : the coordinates of the center point - aRadius : value of radius - anAxis : the direction of the axis Null in case of Unparametrised surface - aRefdir : the reference direction Null in case of Unparametrised surface .
Standard_EXPORT Handle_IGESGeom_Point | Center () const
| returns the center of the spherical surface
Standard_EXPORT gp_Pnt | TransformedCenter () const
| returns the center of the spherical surface after applying TransformationMatrix
Standard_EXPORT Standard_Real | Radius () const
| returns the radius of the spherical surface
Standard_EXPORT Handle_IGESGeom_Direction | Axis () const
| returns the direction of the axis (Parametrised surface) Null is returned if the surface is not parametrised
Standard_EXPORT Handle_IGESGeom_Direction | ReferenceDir () const
| returns the reference direction (Parametrised surface) Null is returned if the surface is not parametrised
Standard_EXPORT Standard_Boolean | IsParametrised () const
| Returns True if the surface is parametrised, else False .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESGeom_Point | theCenter
Standard_Real | theRadius
Handle_IGESGeom_Direction | theAxis
Handle_IGESGeom_Direction | theRefDir

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_SphericalSurface::IGESSolid_SphericalSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_SphericalSurface::Axis | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Point IGESSolid_SphericalSurface::Center | ( |  | ) | const

Standard_EXPORT const IGESSolid_SphericalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_SphericalSurface::Init | ( | const Handle(IGESGeom_Point)& | aCenter,
|  | const Standard_Real | aRadius,
|  | const Handle(IGESGeom_Direction)& | anAxis,
|  | const Handle(IGESGeom_Direction)& | aRefdir
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_SphericalSurface::IsParametrised | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_SphericalSurface::Radius | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_SphericalSurface::ReferenceDir | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_SphericalSurface::TransformedCenter | ( |  | ) | const

## Field Documentation

Handle_IGESGeom_Direction IGESSolid_SphericalSurface::theAxis`[private]`

Handle_IGESGeom_Point IGESSolid_SphericalSurface::theCenter`[private]`

Standard_Real IGESSolid_SphericalSurface::theRadius`[private]`

Handle_IGESGeom_Direction IGESSolid_SphericalSurface::theRefDir`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_SphericalSurface.hxx